<template>
  <div ref="headerStyleTwoWrapper">
    <div
      class="flex items-center px-4 bg-background3 mobile-header h-12 justify-between"
    >
      <div v-if="!logo.IsHidden" class="logo">
        <nuxt-link :to="logo.HyperLink ? `/${logo.HyperLink}` : '/'">
          <figure class="object-contain h-[30px]">
            <img
              :src="logo.ImagePath"
              alt="Dark Theme"
              class="object-contain object-center h-[30px] w-[90px]"
            />
          </figure>
        </nuxt-link>
      </div>
      <div class="left-side-part flex gap-2 items-center">
        <div v-if="auth" class="wallet-part">
          <utils-balance-information />
        </div>
        <div v-else class="login-register flex gap-2">
          <button
            class="bg-secondary h-6 rounded px-2 fc-textBtn"
            @click="onClickLogin()"
          >
            <span class="text-xs leading-4">{{ $t("capital_login") }}</span>
          </button>
          <button
            :id="ID.SIGNUP"
            class="bg-primary h-6 rounded px-2 fc-textBtn"
            @click="onClickJoinnow()"
          >
            <span class="text-xs leading-4">{{ $t("joinnow") }}</span>
          </button>
        </div>
        <utils-mobile-tiny-user-center />
      </div>
    </div>
    <MenuTab v-if="!isIndependentModule" />
  </div>
</template>

<script setup lang="ts">
import { useElementSize } from "@vueuse/core";
import commonHelper from "@/utils/commonHelper";
import { useHeaderComponent } from "@/composables/useTheme";
import MenuTab from "~~/components/m-header-style-module/menuTabHeader.client.vue";
import useHeaderRender from "@/composables/useHeaderRender";

const { logo } = useHeaderRender();
const { toggleLoginRegisterDialog } = commonHelper;
const onClickLogin = () => {
  toggleLoginRegisterDialog();
};

const onClickJoinnow = () => {
  toggleLoginRegisterDialog(false);
};
const { auth } = useHeaderComponent();
const headerStyleTwoWrapper = ref();
const { height } = useElementSize(headerStyleTwoWrapper);
watch(
  height,
  () => {
    document.documentElement.style.setProperty(
      "--header-height",
      `${height.value}px`
    );
  },
  { deep: true, immediate: true }
);
const isIndependentModule = useState(KEYS.IS_INDEPENDENT_MODULE);
</script>

<style lang="scss">
.wallet-part {
  .balance-currency {
    margin-right: 8px;
    font-weight: 400;
  }
  .main-balance-amount {
    font-weight: 400;
  }
}
</style>
